<ng-container *transloco="let t; read: 'moderate_organizations'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('category_requests')}}</span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource">
        <!-- organization name-->
        <ng-container matColumnDef="organization_name">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('organization_name_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <div
              class="clickable"
              [routerLink]="'/'+PUBLIC_ORG_ROUTE+'/'+row?.organization_id">
              {{row.organization_name}}
            </div>
          </td>
        </ng-container>
        <!-- user email address -->
        <ng-container matColumnDef="email_address">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('email_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <ng-container *ngIf="row.user_details.email_address; else elseUserId">{{row.user_details.email_address}}</ng-container>
            <ng-template #elseUserId>{{row.user_details.user_id}}</ng-template>
          </td>
        </ng-container>
        <!-- user first name -->
        <ng-container matColumnDef="first_name">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('first_name_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.user_details.first_name}}
          </td>
        </ng-container>
        <!-- user last name -->
        <ng-container matColumnDef="last_name">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('last_name_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.user_details.last_name}}
          </td>
        </ng-container>
        <!-- categories -->
        <ng-container matColumnDef="categories">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('category_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <app-organization-categories-table-cell-component [categories]="row.requested_categories"></app-organization-categories-table-cell-component>
          </td>
        </ng-container>
        <!-- request status -->
        <ng-container matColumnDef="status">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('status_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{'request_state.'+row.request_state|transloco}}
          </td>
        </ng-container>
        <!-- action buttons -->
        <ng-container matColumnDef="actions">
          <th
            *matHeaderCellDef
            mat-header-cell
            class="table-column-header-align-end">
            {{t('actions_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <button
              mat-mini-fab
              color="primary"
              class="no-shadow-mini-fab micro-fab micro-fab-action-button-margin"
              [matTooltip]="t('accept_tip')"
              (click)="acceptRequestClicked.emit({ id: row.organization_category_request_id })">
              <mat-icon>done</mat-icon>
            </button>
            <button
              mat-mini-fab
              color="warn"
              class="no-shadow-mini-fab micro-fab micro-fab-action-button-margin"
              [matTooltip]="t('deny_tip')"
              (click)="denyRequestClicked.emit({ id: row.organization_category_request_id })">
              <mat-icon>close</mat-icon>
            </button>
          </td>
        </ng-container>
        <tbody>
          <tr
            *matHeaderRowDef="displayColumns"
            mat-header-row>
          </tr>
          <tr
            *matRowDef="let row; columns: displayColumns;"
            mat-row>
          </tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              [colSpan]="displayColumns.length">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
